# Uses of Interface
org.eclipse.ecf.filetransfer.events.socket.ISocketEvent

Packages that use ISocketEvent
Package
Description
org.eclipse.ecf.filetransfer.events.socket
org.eclipse.ecf.provider.filetransfer.events.socket

## Uses of ISocketEvent in org.eclipse.ecf.filetransfer.events.socket

Subinterfaces of ISocketEvent in org.eclipse.ecf.filetransfer.events.socket
Modifier and Type
Interface
Description
`interface`
`ISocketClosedEvent`
Event issued after a socket has been closed.
`interface`
`ISocketConnectedEvent`
Event issued after a socket successfully connected.
`interface`
`ISocketCreatedEvent`
Event which makes a socket available after it has been created but before it is connected.
Methods in org.eclipse.ecf.filetransfer.events.socket with parameters of type ISocketEvent
Modifier and Type
Method
Description
`void`
ISocketEventSource.`fireEvent(ISocketEvent event)`
`void`
ISocketListener.`handleSocketEvent(ISocketEvent event)`
`boolean`
ISocketEvent.`isSameFactorySocket(ISocketEvent socketEvent)`

## Uses of ISocketEvent in org.eclipse.ecf.provider.filetransfer.events.socket

Classes in org.eclipse.ecf.provider.filetransfer.events.socket that implement ISocketEvent
Modifier and Type
Class
Description
`class`
`AbstractSocketEvent`
`class`
`SocketClosedEvent`
`class`
`SocketConnectedEvent`
`class`
`SocketCreatedEvent`
Methods in org.eclipse.ecf.provider.filetransfer.events.socket with parameters of type ISocketEvent
Modifier and Type
Method
Description
`void`
SocketEventSource.`fireEvent(ISocketEvent event)`
`boolean`
AbstractSocketEvent.`isSameFactorySocket(ISocketEvent event)`